package xelfi.browser.util;

/**
 * Every class which can create modalDialog
 * must implement this interface.
 */
public interface modalObject
{
     /**
      * This method will be called when OK or Yes button
      * will be pressed in modalDialog with ID == i
      * @param i ID
      */
     void onOk(int i);
     /**
     * This method will be called when No button
     * will be pressed in modalDialog with ID == i
     * @param i ID
     */
    void onNo(int i);
     /**
     * This method will be called when Cancel button
     * will be pressed in modalDialog with ID == i
     * @param i ID
     */
    void onCancel(int i);
}

