/**
* Xelfi programming environment
*/

package xelfi.editor;
/**
* Used to searching and deleting. Has only one method that is used to ask if we are encouraged to continue
* or stop the action.
*
* @version 1.0
* @author Jaroslav Tulach
*/

public interface Acceptor {
  /**
  * should we continue or stop the action?
  * @param ch the character at specified position
  * @return true to stop the search or false to continue
  */
  public boolean accept (char ch);
};


